package sample;

import javafx.animation.AnimationTimer;
import javafx.application.Application;
import javafx.event.EventHandler;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.input.KeyEvent;
import javafx.stage.Stage;

import java.util.ArrayList;

public class Main extends Application {

    Label score;
    int lPoints, rPoints;

    Ball b;
    Bat batL, batR;

    @Override
    public void start(Stage primaryStage) throws Exception{
        b = new Ball(150,275/2, 50, this);
        batL = new Bat(0,200,20,75);
        batR = new Bat(580,200,20,75);
        score = new Label("0:0");

        Group root = new Group();
        Scene scene = new Scene(root, 600, 400);
        primaryStage.setTitle("PONG");
        primaryStage.setScene(scene);
        primaryStage.show();

        b.addTo(root);
        batL.addTo(root);
        batR.addTo(root);
        root.getChildren().add(score);

        new AnimationTimer() {
            public void handle (long currentNanoTime) {
                // game loop
                b.move();
                batL.move();
                batR.move();
            }
        }.start();

        // Tasten Eingabe
        scene.setOnKeyPressed(new EventHandler<KeyEvent>() {
            @Override
            public void handle(KeyEvent event) {
                /* Tastendruck */
                System.out.println(event.getCode());
            }
        });
        scene.setOnKeyReleased(new EventHandler<KeyEvent>() {
            @Override
            public void handle(KeyEvent event) {
                /* Loslassen der Tasten */
            }
        });
    }

    void updateScore () {
        score.setText(lPoints+":"+rPoints);
    }

    public static void main(String[] args) {
        launch(args);
    }
}
